%define upstream_name    Net-BGP
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Net-BGP module for perl 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(List::Util) >= 1.10.0
BuildRequires: perl(Test::Harness) >= 2.0.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
This module is an implementation of the BGP-4 inter-domain
routing protocol. It encapsulates all of the functionality
needed to establish and maintain a BGP peering session and
exchange routing update information with the peer.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/Net/BGP
%{perl_vendorlib}/Net/BGP.pm
%{_mandir}/*/*

%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.170.0-2.mga8
+ Revision: 1528006
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 05 2019 tv <tv> 0.170.0-1.mga8
+ Revision: 1427491
- update to 0.17

* Wed Sep 19 2018 umeabot <umeabot> 0.160.0-4.mga7
+ Revision: 1269891
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.160.0-3.mga6
+ Revision: 1030963
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.160.0-2.mga6
+ Revision: 966045
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 sander85 <sander85> 0.160.0-1.mga6
+ Revision: 840028
- update to 0.16

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-5.mga5
+ Revision: 749317
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-4.mga5
+ Revision: 685625
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.140.0-3.mga4
+ Revision: 513291
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 370502
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 26673
- mageia rebuild
- imported package perl-Net-BGP


* Mon Oct 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.140.0-1mdv2011.0
+ Revision: 589352
- new version

* Fri Jul 17 2009 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2011.0
+ Revision: 396744
- update to 0.13

* Tue Jul 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.120.0-1mdv2010.0
+ Revision: 393271
- update to 0.12
- using %%perl_convert_version
- fixed license field

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.08-6mdv2009.0
+ Revision: 241759
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed May 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.08-4mdv2008.0
+ Revision: 25448
- rebuild

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 0.08-3mdv2008.0
+ Revision: 25293
- rebuild


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.08-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL
- use mkrel

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.08-1mdk
- initial Mandriva package

